<?php
  include_once("meta.php");
  include_once("search.php");
  include_once("body.php");
  include_once("htmlfuncs.php");
  include_once("background.php");
  include_once(SmartyClass());  
  
  function GetUsedNumber($Obj)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->NUMBEROFOFFERINGS[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->NUMBEROFOFFERINGS[0]->Data;
    }
    return $Result;
  }
  
  function GetSellerID($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERID[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERID[0]->Data;
    }
    return $Result;
  }

  function GetExchangeID($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->EXCHANGEID[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->EXCHANGEID[0]->Data;
    }
    return $Result;
  }
  
  function GetSellerRating($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERRATING[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERRATING[0]->Data;
    }
    return $Result;
  }
  
  function GetCondition($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->CONDITION[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->CONDITION[0]->Data;
    }
    return $Result;
  }

  function GetAvailability($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->EXCHANGEAVAILABILITY[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->EXCHANGEAVAILABILITY[0]->Data;
    }
    return $Result;
  }

  function GetSeller($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERNICKNAME[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERNICKNAME[0]->Data;
    }
    return $Result;
  }

  function GetLocation($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERSTATE[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERSTATE[0]->Data;
    }
    return $Result;
  }
   
  function GetPrice($Obj, $i)
  {
    $Result = 0;
    if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->OFFERINGPRICE[0]->Data))
    {
      $Result = $Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->OFFERINGPRICE[0]->Data;
    }
    return $Result;
  }
 
  function ThirdPartyItems($ItemType)
  {
    $Associate  = Associate();
    $Page       = GetParam("Page", "1");
    $ASIN       = GetParam("ASIN", "B0001B15RA");
  
    //Retrieve the data from Amazon and parse it into a structure called $Obj.
    $Filename    = "http://xml.amazon.com/onca/xml3?t=$Associate&dev-t=".DevKey()."&AsinSearch=$ASIN&type=heavy&offer=$ItemType&offerpage=$Page&f=xml";
    $Obj = GXMLTree($Filename);
  
    //Get the number of used items.
    $UsedNumber = GetUsedNumber($Obj);
  
    //Put the SellerIDs and ExchangeIDs into arrays.
    for ($i = 0; $i < $UsedNumber; $i++)
    {
      if (isset($Obj->PRODUCTINFO[0]->DETAILS[0]->THIRDPARTYPRODUCTINFO[0]->THIRDPARTYPRODUCTDETAILS[$i]->SELLERID[0]->Data))
      {
        $UsedSellerID[$i]     = GetSellerID($Obj, $i);
        $UsedExchangeID[$i]   = GetExchangeID($Obj, $i);
        $UsedSellerRating[$i] = GetSellerRating($Obj, $i);
        $UsedCondition[$i]    = GetCondition($Obj, $i);
        $UsedAvailability[$i] = GetAvailability($Obj, $i);
        $UsedSeller[$i]       = GetSeller($Obj, $i);
        $UsedLocation[$i]     = GetLocation($Obj, $i);
        $UsedPrice[$i]        = GetPrice($Obj, $i);
      }
    }
  
    //Create template object.
    $ResultsTemplate = new Smarty;
    $ResultsTemplate->compile_dir = FullSmartyCompileDir();
  
    $ResultsTemplate->Assign('SellerID',       $UsedSellerID);
    $ResultsTemplate->Assign('ExchangeID',     $UsedExchangeID);
    $ResultsTemplate->Assign('SellerRating',   $UsedSellerRating);
    $ResultsTemplate->Assign('Condition',      $UsedCondition);
    $ResultsTemplate->Assign('Availability',   $UsedAvailability);
    $ResultsTemplate->Assign('Seller',         $UsedSeller);
    $ResultsTemplate->Assign('Location',       $UsedLocation);
    $ResultsTemplate->Assign('Price',          $UsedPrice);
    $ResultsTemplate->Assign('AssociateID',    $Associate);
    $ResultsTemplate->Assign('DeveloperToken', DevKey());
    $ResultsTemplate->Assign('ASIN',           $ASIN);  
   
    return $ResultsTemplate->fetch('results.tpl.htm');
  }
?>